Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.compressors.bzip2
Class BZip2CompressorInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.commons.compress.compressors.CompressorInputStream
              org.apache.commons.compress.compressors.bzip2.BZip2CompressorInputStream

All Implemented Interfaces:
  Closeable

    public class BZip2CompressorInputStream

extends CompressorInputStream

An input stream that decompresses from the BZip2 format to be read as any other stream.

This class is not thread-safe

Field Summary
`static int` | `BASEBLOCKSIZE`
`static int` | `G_SIZE`
`static int` | `MAX_ALPHA_SIZE`
`static int` | `MAX_CODE_LEN`
`static int` | `MAX_SELECTORS`
`static int` | `N_GROUPS`
`static int` | `N_ITERS`
`static int` | `NUM_OVERSHOOT_BYTES`
`static int` | `RUNA`
`static int` | `RUNB`

Constructor Summary
`BZip2CompressorInputStream(InputStream in)` Constructs a new BZip2CompressorInputStream which decompresses bytes read from the specified stream.

Method Summary
`void` | `close()`
`static boolean` | `matches(byte[] signature, int length)` Checks if the signature matches what is expected for a bzip2 file.
`int` | `read()`
`int` | `read(byte[] dest, int offs, int len)`

Methods inherited from class org.apache.commons.compress.compressors.CompressorInputStream
`count, count, getBytesRead, getCount`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASEBLOCKSIZE

    public static final int BASEBLOCKSIZE

See Also:
  Constant Field Values

### MAX_ALPHA_SIZE

    public static final int MAX_ALPHA_SIZE

See Also:
  Constant Field Values

### MAX_CODE_LEN

    public static final int MAX_CODE_LEN

See Also:
  Constant Field Values

### RUNA

    public static final int RUNA

See Also:
  Constant Field Values

### RUNB

    public static final int RUNB

See Also:
  Constant Field Values

### N_GROUPS

    public static final int N_GROUPS

See Also:
  Constant Field Values

### G_SIZE

    public static final int G_SIZE

See Also:
  Constant Field Values

### N_ITERS

    public static final int N_ITERS

See Also:
  Constant Field Values

### MAX_SELECTORS

    public static final int MAX_SELECTORS

See Also:
  Constant Field Values

### NUM_OVERSHOOT_BYTES

    public static final int NUM_OVERSHOOT_BYTES

See Also:
  Constant Field Values

Constructor Detail

### BZip2CompressorInputStream

    public BZip2CompressorInputStream(InputStream in)
                               throws IOException

  Constructs a new BZip2CompressorInputStream which decompresses bytes read from the specified stream.

  Throws:
    `IOException` - if the stream content is malformed or an I/O error occurs.
    `NullPointerException` - if `in == null`

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] dest,
                    int offs,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

### matches

    public static boolean matches(byte[] signature,
                                  int length)

  Checks if the signature matches what is expected for a bzip2 file.

  Parameters:
    `signature` - the bytes to check
    `length` - the number of bytes to check
  Returns:
    true, if this stream is a bzip2 compressed stream, false otherwise
  Since:
    Apache Commons Compress 1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation. All Rights Reserved.